Vla-get-elevationpaperspace

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-elevationpaperspace vla-object)


機能
ペーパー空間の高度を取得する。


引数
  • vla-object … VLAオブジェクト(Database、Document)


戻り値
ペーパー空間の高度の設定


  • MEMO:現在の高度は、3D 点が必要なのに X と Y の値しか指定されていないときに使用される Z 値。現在の高度は、モデル空間とペーパー空間で別々に維持される。


サンプル
(vl-load-com)
(defun c:Example_elevationpaperspace()
    ;; モデル空間の高度を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq currElevation (vla-get-elevationpaperspace doc))
    (alert (strcat "現在のペーパー空間の高度は " (rtos currElevation 2)))
    
    ;; 変更
    (vla-put-elevationpaperspace doc (+ currElevation 2))
    (alert (strcat "新しいペーパー空間の高度は " (rtos (vla-get-elevationpaperspace doc) 2)))
    
    ;; 戻す
    (vla-put-elevationpaperspace doc currElevation)
    (alert (strcat "ペーパー空間の高度を次に戻しました" (rtos (vla-get-elevationpaperspace doc) 2)))
)

関連事項